Bug 1679574 - perl-DBD-Pg-3.7.4-5.fc30 FTBFS: t/02attribs.t test fails
Summary: perl-DBD-Pg-3.7.4-5.fc30 FTBFS: t/02attribs.t test fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 12:51 UTC by Petr Pisar
Modified: 2019-04-02 02:13 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-29 19:19:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 128529 None None None 2019-02-21 12:51 UTC

Description Petr Pisar 2019-02-21 12:51:40 UTC
perl-DBD-Pg-3.7.4-5.fc30 fails to build in F30 because a test fails:

t/01constants.t ..... ok
BUILDSTDERR: #   Failed test 'When client_min_messages is FATAL, we do our best to alert the caller it's a Bad Idea'
BUILDSTDERR: #   at t/02attribs.t line 1215.
BUILDSTDERR: #                   'ERROR:  relation "nonesuh" does not exist
BUILDSTDERR: # LINE 1: SELECT 1 FROM nonesuh
BUILDSTDERR: #                       ^'
BUILDSTDERR: #     doesn't match '(?^:Perhaps client_min_messages)'
BUILDSTDERR: # Looks like you failed 1 test of 272.
t/02attribs.t ....... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/272 subtests 

A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/6036551>.

This is triggered by upgrading postgresql-server from 11.1-4.fc30 to
11.2-1.fc30.

Comment 1 Jitka Plesnikova 2019-03-22 13:47:50 UTC
Backport the upstream fix:

commit 2b60151aea6f03ac7e846aae0d21e7f335cad99c
Author:     Dagfinn Ilmari Mannsåker <ilmari@ilmari.org>
AuthorDate: Wed Jan 9 21:24:09 2019 +0000
Commit:     Dagfinn Ilmari Mannsåker <ilmari@ilmari.org>
CommitDate: Wed Jan 9 21:32:48 2019 +0000

    Fix client_min_messages=FATAL test on upcoming PostgreSQL releases
    
    The upcoming minor releases of PostgreSQL cap client_min_messages to
    ERROR to avoid the case this test was testing for.  Skip the test if
    client_min_messages doesn't come back as 'fatal' after we set it.

Comment 2 Fedora Update System 2019-03-22 13:52:02 UTC
perl-DBD-Pg-3.7.4-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6ecb8e24f

Comment 3 Fedora Update System 2019-03-22 14:00:49 UTC
perl-DBD-Pg-3.7.4-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-069434bcd1

Comment 4 Fedora Update System 2019-03-22 14:15:58 UTC
perl-DBD-Pg-3.7.4-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a563071644

Comment 5 Fedora Update System 2019-03-22 19:17:19 UTC
perl-DBD-Pg-3.7.4-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6ecb8e24f

Comment 6 Fedora Update System 2019-03-23 02:41:26 UTC
perl-DBD-Pg-3.7.4-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-069434bcd1

Comment 7 Fedora Update System 2019-03-23 03:12:53 UTC
perl-DBD-Pg-3.7.4-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a563071644

Comment 8 Fedora Update System 2019-03-29 19:19:42 UTC
perl-DBD-Pg-3.7.4-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-02 01:36:19 UTC
perl-DBD-Pg-3.7.4-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-02 02:13:54 UTC
perl-DBD-Pg-3.7.4-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.